/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workactivitymenu.entity;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.jeeplus.common.persistence.TreeEntity;
import com.jeeplus.modules.sys.entity.Role;
import com.jeeplus.modules.sys.entity.User;
import com.jeeplus.modules.workactivity.entity.Activity;

import java.util.ArrayList;
import java.util.List;

/**
 * 流程表Entity
 * @author yangfan
 * @version 2018-01-17
 */
public class WorkActivityMenu extends TreeEntity<WorkActivityMenu> {

	private static final long serialVersionUID = 1L;
	private String processKey;		// 流程数
	private String companyId;		// 公司Id
	private String officeId;
	private String officeName;
	private String functionalName;
	private String branchCompanyId;
	private String isExt;
	private String view;
	private String processType;
	private List<Activity> activities = new ArrayList<>();

	public WorkActivityMenu(){
		super();
	}

	public WorkActivityMenu(String id){
		super(id);
	}


	public WorkActivityMenu getParent() {
		return parent;
	}

	public void setParent(WorkActivityMenu parent) {
		this.parent = parent;
	}

	public String getProcessKey() {
		return processKey;
	}

	public void setProcessKey(String processKey) {
		this.processKey = processKey;
	}

	@Override
	public String toString() {
		return name;
	}

	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}


	public String getFunctionalName() {
		return functionalName;
	}

	public void setFunctionalName(String functionalName) {
		this.functionalName = functionalName;
	}

	public String getBranchCompanyId() {
		return branchCompanyId;
	}

	public void setBranchCompanyId(String branchCompanyId) {
		this.branchCompanyId = branchCompanyId;
	}

	public String getIsExt() {
		return isExt;
	}

	public void setIsExt(String isExt) {
		this.isExt = isExt;
	}

	public String getView() {
		return view;
	}

	public void setView(String view) {
		this.view = view;
	}

	public List<Activity> getActivities() {
		return activities;
	}

	public void setActivities(List<Activity> activities) {
		this.activities = activities;
	}

	public String getOfficeId() {
		return officeId;
	}

	public void setOfficeId(String officeId) {
		this.officeId = officeId;
	}

	public String getOfficeName() {
		return officeName;
	}

	public void setOfficeName(String officeName) {
		this.officeName = officeName;
	}

	public String getProcessType() {
		return processType;
	}

	public void setProcessType(String processType) {
		this.processType = processType;
	}
}